com.icesoft.components.accessible.paneltabset

## Class TabChangeListenerHandler

- java.lang.Object
- - javax.faces.view.facelets.TagHandler
  - - com.icesoft.components.accessible.paneltabset.TabChangeListenerHandler

- All Implemented Interfaces:
    javax.faces.view.facelets.FaceletHandler

      public class TabChangeListenerHandler
      extends javax.faces.view.facelets.TagHandler

  Since:
    1.1
  Author:
    Mark Collette

- - ### Field Summary

    - ### Fields inherited from class javax.faces.view.facelets.TagHandler

      `nextHandler, tag, tagId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TabChangeListenerHandler(javax.faces.view.facelets.TagConfig config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(javax.faces.view.facelets.FaceletContext ctx, javax.faces.component.UIComponent parent)` Threadsafe Method for controlling evaluation of its child tags, represented by "nextHandler"

    - ### Methods inherited from class javax.faces.view.facelets.TagHandler

      `getAttribute, getRequiredAttribute, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TabChangeListenerHandler

          public TabChangeListenerHandler(javax.faces.view.facelets.TagConfig config)

      Parameters:
        `config` -

  - ### Method Detail

    - #### apply

          public void apply(javax.faces.view.facelets.FaceletContext ctx,
                            javax.faces.component.UIComponent parent)
                     throws java.io.IOException,
                            javax.faces.FacesException,
                            javax.el.ELException

      Threadsafe Method for controlling evaluation of its child tags, represented by "nextHandler"
      Throws:
        `java.io.IOException`
        `javax.faces.FacesException`
        `javax.el.ELException`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.